void max (pfloat -w max, float array[], int length)
      if (length > 0)
{
  *max = array[0];

  numbers_in (array, length, (float number) {
                                              if (number > *max) *max = number;
                                            });
}

void max (pfloat max, float array[], int length)
{
  error (ERR_PARAMETER);
}



